petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGetStencilType

Gets the type of the communication stencil

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetStencilType(DM da, DMDAStencilType *stype)

Not collective Many br

### Input Parameter

da -The DMDA Many br

### Output Parameter

stype -The stencil type, use either DMDA_STENCIL_BOX or DMDA_STENCIL_STAR. Many br

Many br

### Keywords

distributed array, stencil

### See Also

DMDACreate(), DMDestroy(), DMDA

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages